/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-30 15:17:49.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.common.upyun;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 系统配置信息
 *
 * @author: fengdesheng
 * @since: 2018/11/30
 */
@Component
public class SystemProperty implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 配置文件环境
     */
    @Value("${spring.profiles.active}")
    private String profile;
    /**
     * 文件存放目录
     */
    @Value("${$dir}")
    private String dir;
    /**
     * 文件存放临时目录
     */
    @Value("${$tempDir}")
    private String tempDir;

    public String getDir() {
        return dir;
    }

    public void setDir(String dir) {
        this.dir = dir;
    }

    public String getTempDir() {
        return tempDir;
    }

    public void setTempDir(String tempDir) {
        this.tempDir = tempDir;
    }

    public String getProfile() {
        return profile;
    }

    public void setProfile(String profile) {
        this.profile = profile;
    }

}