/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-11-01 10:03:07.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.print.test;

import cn.com.qmth.examcloud.core.print.service.CourseStatisticService;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticInfo;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticQuery;
import cn.com.qmth.examcloud.core.print.service.bean.coursestatistic.CourseStatisticRefreshReq;
import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: fengdesheng
 * @since: 2018/10/17
 */
public class CourseStatisticServiceTest extends BaseTest {
    @Autowired
    private CourseStatisticService courseStatisticService;

    @Test
    public void getCourseStatisticListTest() throws Exception {
        CourseStatisticQuery query = new CourseStatisticQuery();
        query.setOrgId(orgId);
        query.setExamId(examId);
        query.setCourseId(courseId);
        query.setPaperStatus(0);
        //query.setPaperName("测试试卷");
        Page<CourseStatisticInfo> page = courseStatisticService.getCourseStatisticList(query);
        System.out.println(jsonMapper.toJson(page));
    }

    @Test
    public void initCourseStatisticTest() throws Exception {
        CourseStatisticRefreshReq req = new CourseStatisticRefreshReq();
        req.setOrgId(orgId);
        req.setExamId(examId);

        List<CourseStatisticRefreshReq.Course> courses = new ArrayList<>();
        courses.add(new CourseStatisticRefreshReq.Course(courseId, paperType));
        req.setCourses(courses);

        courseStatisticService.refreshCourseStatistic(req);
        //courseStatisticService.initAllCourseStatistic();
        //courseStatisticService.syncCourseNameByCourseId(courseId, "测试课程");
    }

}